Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004820OCamlfor Camlp4 use https://github.com/ocaml/camlp4/issuespublic2009-06-10 15:382012-09-25 20:06
Reporterjerhoud 
Assigned Toxclerc 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.2 
Target VersionFixed in Version3.12.1+dev 
Summary0004820: revised syntax pretty printer crashes with Stack_overflow
Descriptionwith the following input file a.ml :

class virtual ['a, 'b] a = object end


camlp4 pa_o.cmo pr_r.cmo a.ml

floods the output with '(' and finally crashes with exception Stack_overflow


2 parameters and virtual are needed to trigger the bug.

the normal syntax printer works properly on this example
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-06-10 15:38 jerhoud New Issue
2009-06-10 15:38 jerhoud Status new => assigned
2009-06-10 15:38 jerhoud Assigned To => ertai
2011-02-07 17:07 xclerc Assigned To ertai => xclerc
2011-02-07 17:07 xclerc Status assigned => resolved
2011-02-07 17:07 xclerc Fixed in Version => 3.12.1+dev
2011-02-07 17:07 xclerc Resolution open => fixed
2012-09-25 20:06 xleroy Status resolved => closed
2016-02-08 12:49 doligez Category Camlp4 => for Camlp4 use https://github.com/ocaml/camlp4/issues/102 [^]
2016-02-08 12:50 doligez Category for Camlp4 use https://github.com/ocaml/camlp4/issues/102 [^] => for Camlp4 use https://github.com/ocaml/camlp4/issues [^]


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker